## gate.gui
Class TabBlinker

    java.lang.Object
      |
      +--gate.gui.TabBlinker

All Implemented Interfaces:
  Runnable

public class TabBlinker
extends Object
implements Runnable

Field Summary
`(package private) Color` `blinkColor`
`(package private) Color` `oldColor`
`(package private) boolean` `stopIt`
`(package private) int` `tab`
`(package private) Thread` `thread`
`(package private) JTabbedPane` `tPane`

Constructor Summary
`TabBlinker(JTabbedPane pane, Component comp, Color blinkColor)`

Method Summary
`void` `run()`
`void` `startBlinking()`
`void` `stopBlinking(int foo)`

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### stopIt

    boolean stopIt

### tPane

    JTabbedPane tPane

### tab

    int tab

### blinkColor

    Color blinkColor

### oldColor

    Color oldColor

### thread

    Thread thread

Constructor Detail

### TabBlinker

    public TabBlinker(JTabbedPane pane,
                      Component comp,
                      Color blinkColor)

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`

### stopBlinking

    public void stopBlinking(int foo)

### startBlinking

    public void startBlinking()